Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream.events
Interface EntityDeclaration

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface EntityDeclaration

extends XMLEvent

An interface for handling Entity Declarations This interface is used to record and report unparsed entity declarations.

Since:
  1.6

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`String` | `getBaseURI()` Get the base URI for this reference or null if this information is not available
`String` | `getName()` The entity's name
`String` | `getNotationName()` The name of the associated notation.
`String` | `getPublicId()` The entity's public identifier, or null if none was given
`String` | `getReplacementText()` The replacement text of the entity.
`String` | `getSystemId()` The entity's system identifier.

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getPublicId

    String getPublicId()

  The entity's public identifier, or null if none was given

  Returns:
    the public ID for this declaration or null

### getSystemId

    String getSystemId()

  The entity's system identifier.

  Returns:
    the system ID for this declaration or null

### getName

    String getName()

  The entity's name

  Returns:
    the name, may not be null

### getNotationName

    String getNotationName()

  The name of the associated notation.

  Returns:
    the notation name

### getReplacementText

    String getReplacementText()

  The replacement text of the entity. This method will only return non-null if this is an internal entity.

  Returns:
    null or the replacment text

### getBaseURI

    String getBaseURI()

  Get the base URI for this reference or null if this information is not available

  Returns:
    the base URI or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.